### Index

- BearerTokenInterceptor (src/.../bearer-token.interceptor.ts)
- initGenerator (src/.../generator.ts)
- provideAuthentication (src/.../provide.ts)
- withDisabledAuthentication (src/.../tokens.ts)
- withInitialAuthenticationState (src/.../provide.ts)

### src/lib/bearer-token.interceptor.ts

###

BearerTokenInterceptor
`BearerTokenInterceptor(req: HttpRequest, next: HttpHandlerFn)`

Parameters :

Name | Type | Optional
req | `HttpRequest` | No
next | `HttpHandlerFn` | No

Returns : `Observable<HttpEvent<>>`

### src/generators/init/generator.ts

###

initGenerator
`initGenerator(tree: Tree, options: InitGeneratorSchema)`

Parameters :

Name | Type | Optional
tree | `Tree` | No
options | `InitGeneratorSchema` | No

### src/lib/provide.ts

###

provideAuthentication
`provideAuthentication(service: Constructor, ...additionalProviders: undefined)`

Parameters :

Name | Type | Optional
service | `Constructor` | No
additionalProviders |  | No

Returns : `Provider[]`

withInitialAuthenticationState
`withInitialAuthenticationState(state: boolean)`

Parameters :

Name | Type | Optional
state | `boolean` | No

Returns : `Provider`

### src/lib/tokens.ts

###

withDisabledAuthentication
`withDisabledAuthentication(disabled)`

Parameters :

Name | Optional | Default value
disabled | No | `true`

Returns : `Provider`

# results matching ""

# No results matching ""